#!/bin/sh

# Minimenu crashed, give the user some options

# if zenity fails
while mainsel=$(zenity \
  --title="Minimenu recovery" --width="400" --height="340" \
  --list --column "id" --column "Please select" --hide-column=1 \
  --text="Sorry! Minimenu has crashed.\n\nYou can now run a terminal emulator to examine the situation,\nrun a different gui, or shutdown the system.\n\nIf the problem has been fixed you can restart minimenu by\ncancelling this dialog." \
  "term" "Start Terminal" \
  "gui" "Choose another frontend" \
  "quit" "Quit this session" \
  "halt" "Shutdown system" \
  --ok-label="Do it" --cancel-label="Back to Minimenu"); do


case $mainsel in

  "term")

    # --disabe-server forces waiting until shell exits, even if Terminal
    # already running
    /usr/bin/Terminal --disable-server

  ;;

  "gui")

    if /usr/pandora/scripts/op_switchgui.sh; then

      # switch successful, stopmmenu should have killed us already,
      # but exit in any case to allow xinit to run the new gui

      echo "--->quit"
      exit 0

    fi

    # if we get here, the selection was cancelled or the switch failed

  ;;

  "quit")

    echo "--->quit"
    exit 0

  ;;

  "halt")

    sudo /sbin/poweroff

  ;;

esac
done 
